/*
  Lightlink SLAN -- A Virtual Private Network System
  (c) 2001 Mark Wright (Koni), Lucas Madar, Art Matrix - Lightlink, Inc.  

  This program is free software; you can redistribute it and/or	
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  $Header: /home/cvsroot/stage6/tests/hmac_sha1_test.c,v 1.1.1.1 1999/12/09 01:16:42 koni Exp $ 
  $Author: koni $ $Date: 1999/12/09 01:16:42 $ $Name: slan-release-0-04 $
  $Revision: 1.1.1.1 $

*/
   
#include <stdio.h>

unsigned char *hmac_sha1_generate(unsigned char *message, int length,
				  unsigned char *digest);
int set_key(unsigned char *hash_key, int hash_key_length);




int main(int argc, char *argv[]) {
  unsigned char key[20];
  unsigned char data[50];
  unsigned char digest[20];
  int i;

  for(i=0;i<20;i++) key[i] =0x0b;
  for(i=0;i<50;i++) data[i] = 0xDD;

  set_key(key,20);
  hmac_sha1_generate("Hi There", 8, digest);

  for(i=0;i<5;i++) {
    fprintf(stderr,"%X",((unsigned long *) digest)[i]);
  }
}

