/*
  Lightlink SLAN -- A Virtual Private Network System
  (c) 2001 Mark Wright (Koni), Lucas Madar, Art Matrix - Lightlink, Inc.  

  This program is free software; you can redistribute it and/or	
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  $Header: /home/cvsroot/stage6/tests/sha_test.c,v 1.1.1.1 1999/12/09 01:16:42 koni Exp $ 
  $Author: koni $ $Date: 1999/12/09 01:16:42 $ $Name: slan-release-0-04 $
  $Revision: 1.1.1.1 $

*/
   
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include "sha.h"

int main(int argc, char *argv[]) {
  char *message1;
  char *message2 = "a";
  u_int32_t *digest;
  int i;

  message1 = malloc(1000001);

  for(i=0;i<1000000;i++) message1[i] = 'a';

  digest = sha_digest(message1,1000000);
  for(i=0;i<5;i++)
    fprintf(stderr,"%X ",digest[i]);
  fprintf(stderr,"\n");

  digest = sha_digest(message2, 1);
  for(i=0;i<5;i++)
    fprintf(stderr,"%X ",digest[i]);
  fprintf(stderr,"\n");
  
}

